Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.providers.authentication
Class CertificateValidatorImpl

    java.lang.Object
      |
      +--weblogic.security.providers.authentication.CertificateValidatorImpl

public class CertificateValidatorImpl
extends java.lang.Object
implements CertificateValidator

CertificateValidatorImpl Implementation of the CertificateValidator used to validate an X.509 Certificate against a directory. The validate method takes an X.509 certificate and an instance of a CertificateMapper

Author:
  Copyright (c) 2003 by BEA. All Rights Reserved.

Constructor Summary
`CertificateValidatorImpl()`
`CertificateValidatorImpl(byte[] bytes)`

Method Summary
`java.security.cert.X509Certificate` | `getCertificate()`
`static boolean` | `validate(java.security.cert.X509Certificate cert, byte[] certBytes)`
`boolean` | `validate(java.security.cert.X509Certificate cert1, java.security.cert.X509Certificate cert2)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CertificateValidatorImpl

    public CertificateValidatorImpl()

### CertificateValidatorImpl

    public CertificateValidatorImpl(byte[] bytes)
                             throws java.security.cert.CertificateException

Method Detail

### getCertificate

    public java.security.cert.X509Certificate getCertificate()

### validate

    public static boolean validate(java.security.cert.X509Certificate cert,
                                   byte[] certBytes)

### validate

    public boolean validate(java.security.cert.X509Certificate cert1,
                            java.security.cert.X509Certificate cert2)

  Specified by:
    validate in interface CertificateValidator

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference